[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomProgressBar.Smooth

Indicates if the progress bar indicator is drawn as a smooth solid bar, as opposed to individual bar segments.

## Declaration

Source position: comctrls.pp line 1852

`public property TCustomProgressBar.Smooth : Boolean read FSmooth write SetSmooth default False;`

## Description

The implementation of Smooth drawing is platform-dependent. Some widgetsets do not use the segmented drawing style for their progress bars. For those platforms, the value in the property is not used.

Use Style to control whether a normal progress bar is drawn, or if an animated marquee is used in the progress bar indicator.

## See also

TCustomProgressBar.Style |  | Drawing style for the progress bar.